package domain


type AlibabaWdkSkuChannelskuQueryApiResults struct {
    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        skuCode不能为空     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        接口调用是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        业务数据模型     */
    Models  *[]AlibabaWdkSkuChannelskuQueryApiResult `json:"models,omitempty" `

}

func (s *AlibabaWdkSkuChannelskuQueryApiResults) SetErrCode(v string) *AlibabaWdkSkuChannelskuQueryApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryApiResults) SetErrMsg(v string) *AlibabaWdkSkuChannelskuQueryApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryApiResults) SetSuccess(v bool) *AlibabaWdkSkuChannelskuQueryApiResults {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuChannelskuQueryApiResults) SetModels(v []AlibabaWdkSkuChannelskuQueryApiResult) *AlibabaWdkSkuChannelskuQueryApiResults {
    s.Models = &v
    return s
}
